Skip to content

getShipmentRelatedItems

READ

Get shipment related items.

POST /api/v1/inventory/getShipmentRelatedItems
curl -X POST '<your-host>/api/v1/inventory/getShipmentRelatedItems' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "shipmentId": "string",
    "sourceDocumentId": "string"
  }'
Response
{
  "invoices": [
    {
      "assignee": "string",
      "companyId": "string",
      "createdAt": "string",
      "createdBy": "string",
      "currencyCode": "string",
      "customerId": "string",
      "customerReference": "string",
      "customFields": "…",
      "dateDue": "string",
      "dateIssued": "string",
      "datePaid": "string",
      "deliveryFillOrderId": "string",
      "exchangeRate": 0,
      "exchangeRateUpdatedAt": "string",
      "externalNotes": "…",
      "id": "string",
      "internalNotes": "…",
      "invoiceCustomerContactId": "string",
      "invoiceCustomerId": "string",
      "invoiceCustomerLocationId": "string",
      "invoiceId": "string",
      "locationId": "string",
      "opportunityId": "string",
      "paymentTermId": "string",
      "postingDate": "string",
      "shipmentId": "string",
      "status": "Pending",
      "subtotal": 0,
      "tags": [
        "string"
      ],
      "totalAmount": 0,
      "totalDiscount": 0,
      "totalTax": 0,
      "updatedAt": "string",
      "updatedBy": "string"
    }
  ]
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "shipmentId": {
      "type": "string"
    },
    "sourceDocumentId": {
      "type": "string"
    }
  },
  "required": [
    "shipmentId",
    "sourceDocumentId"
  ]
}